SFTP2(1)

NAME
sftp2 - secure ftp client

SYNOPSIS

sftp2 [-D debug_level_spec ] [-B batchfile ] [-S path ] [-h ] [-P port ] [-b buffer_size ] [-N max_requests ] [-V ] [-4 ] [-6 ] [-c cipher ] [-m MAC ] [-o ssh-option ] [user@]host[#port]

DESCRIPTION

Sftp (Secure File Transfer) is a ftp-like client that can be used for file transfer over the network. Sftp uses ssh2 in data connections, so the file transport is secure. Even though sftp functions like ftp, it does not use the FTP daemon ( ftpd or wu-ftpd) for connections.

In order to connect using sftp, you need to make sure that sshd2 is running on the remote machine you are connecting to. Sftp uses a "subsystem" of sshd2 to transfer files securely.

OPTIONS

-D debug_level_spec
    Debug mode. Makes sftp send verbose debug output to stderr. The debugging level is either a number (0-99), or a comma-separated list of assignments ModulePattern=debug_level. ModulePattern is Sftp2 for the main sftp2 application.

-B batchfile
    Batch mode. Reads commands from a file instead of standard input. Since this mode is intended for scripts/cronjobs, sftp2 will not try to interact with user, which means that only the passwordless authentication methods will work. In batch mode, a failure to change the current working directory will cause the sftp2 to abort. Other errors are ignored.

-S path
    Specifies the path to the ssh2 binary.

-h  Prints the usage and exits.

-P port
    Port to connect to on the remote host. This option can also be specified in the configuration file.

-b buffer_size
    Define the maximum buffer size for one request (default 32768 bytes).

-N max_requests
    Define the maximum number of concurrent requests (default 10).

-V  Prints the version and exits.

-4  Instruct ssh2 to use IPv4.

-6  Instruct ssh2 to use IPv6.

-c cipher
    Select the encryption algorithm. Multiple -c options are allowed and a single -c flag can have only one cipher. This option can also be specified in the configuration file. You can use aes, blowfish, twofish, cast, arcfour, 3des, and des.

-m MAC
    Select the MAC (Message Authentication Code) algorithm. Multiple -m options are allowed and a single -m flag can have only one MAC. This option can also be specified in the configuration file.

-o ssh-options
    Specifies options to give to ssh2. Use as with ssh2, see ssh2(1).

user
    Specify the username to use when connecting. (Optional)

host
    Specify the host to connect to.

port
    Specify the port on the host to connect to. (Optional)

COMMANDS

When the sftp2 is ready to accept commands, it will display a prompt: 'sftp> '. The user can then enter any of the following commands.

open hostname
    Tries to connect to a host specified in hostname.

localopen
    Opens a local connection (the connection is created without connecting to an sshd2 daemon). This is intended for debugging and testing.

close
    Closes the current session.

quit
    Quits the application.

cd directory
    Changes the current remote working directory.

lcd directory
    Changes the current local working directory.

pwd Prints the name of the current remote working directory.

lpwd
    Prints the name of the current local working directory.

ls [ -R ] [ -l ] [ file ... ]
    Lists the names of the files on the remote server. For directories, the contents of the directory are listed. When the -R option is specified, the directory trees are listed recursively. (By default, the subdirectories of the argument directories are not visited.) When the -l option is specified, permissions, owners, sizes and modification times are also shown. When no arguments are given, it is assumed that the contents of . are being listed. Currently the options -R and -l are mutually incompatible.

lls [ -R ] [ -l ] [ file ... ]
    Same as ls, but operates on local files.

get [ file ... ]
    Transfers the specified files from the remote end to the local end. Directories are recursively copied with their contents.

mget [ file ... ]
    Synonymous to get.

put [ file ... ]
    Transfers the specified files from the local end to the remote end. Directories are recursively copied with their contents.

mput [ file ... ]
    Synonymous to put.

rename source target
    Renames the file source to target.

lrename source target
    Same as rename, but operates on local files.

rm file
    Tries to delete the file specified in file.

lrm file
    Same as rm, but operates on local files.

mkdir directory
    Tries to create the directory specified in directory.

lmkdir directory
    Same as mkdir, but operates on local files.

rmdir directory
    Tries to delete the directory specified in directory.

lrmdir directory
    Same as rmdir, but operates on local files.

help [ topic ]
    If topic is not given, lists the available topics. If topic is given, outputs the available online help on the topic.

COMMAND INTERPRETATION

sftp2 understands both backslashes and quotation marks on the command line. A backslash can be used for ignoring the special meaning of any character in the command-line interpretation. It will be removed even if the character it precedes has no special meaning. Quotation marks can be used for specifying filenames with spaces. The command-line processing and globbing use the same escape character (a backslash), so if you want to use a backslash to escape the meta-characters in the globbing, you have to precede the backslash with another backslash to escape its special meaning in the command-line processing. Also, if you do get . or put . you will get or put every file in the current directory and possibly override files in your current directory.

GLOB PATTERNS

sftp2 supports glob patterns (wildcards) given to commands ls, lls, get, and put. The format is described in the man page sshregex(1).

COMMAND-LINE EDITING

The following key sequences can be used for command-line editing:

Ctrl-Space
    Set the mark.

Ctrl-A
    Go to the beginning of the line.

Ctrl-B
    Move the cursor one character to the left.

Ctrl-D
    Erase the character on the right of the cursor, or exit the program if the command line is empty.

Ctrl-E
    Go to the end of the line.

Ctrl-F
    Move the cursor one character to the right.

Ctrl-H
    Backspace.

Ctrl-I
    Tab.

Ctrl-J
    Enter.

Ctrl-K
    Delete to the end of the line.

Ctrl-L
    Redraw the line.

Ctrl-M
    Enter.

Ctrl-N
    Move to the next line.

Ctrl-P
    Move to the previous line.

Ctrl-T
    Toggle two characters.

Ctrl-U
    Delete the line.

Ctrl-W
    Delete a region (the region's other end is marked with Ctrl-Space).

Ctrl-X
    Begin an extended command.

Ctrl-Y
    Yank the deleted line.

Ctrl-_
    Undo.

Ctrl-X Ctrl-L
    Downcase the region.

Ctrl-X Ctrl-U
    Upcase the region.

Ctrl-X Ctrl-X
    Exchange the cursor and the mark.

Ctrl-X H
    Mark the whole buffer.

Ctrl-X U
    Undo.

Esc Ctrl-H
    Backwards word-delete.

Esc Delete
    Backwards word-delete.

Esc Space
    Delete extra spaces (leaves only one space).

Esc \
    Delete extra spaces (leaves only one space).

Esc <
    Go to the beginning of the line.

Esc >
    Go to the end of the line.

Esc @
    Mark the current word.

Esc A
    Go one sentence backwards.

Esc B
    Go one word backwards.

Esc C
    Capitalize the current word.

Esc D
    Delete the current word.

Esc E
    Go one sentence forwards.

Esc F
    Go one word forwards.

Esc K
    Delete the current sentence.

Esc L
    Lowercase the current word.

Esc T
    Transpose words.

Esc U
    Upcase the current word.

Delete
    Backspace.

AUTHORS

SSH Communications Security Corp For more information, see http://www.ssh.com.

SEE ALSO
sshregex(1), ssh2(1), sshd2(8), ssh-keygen2(1), ssh-agent2(1), ssh-add2(1), scp2(1)